lib32z1-dev_1.2.8.dfsg-2ubuntu4_amd64.deb


Advertisement

Description

lib32z1-dev - compression library - 32 bit development

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename lib32z1-dev_1.2.8.dfsg-2ubuntu4_amd64.deb
Package name lib32z1-dev
Package version 1.2.8.dfsg
Package release 2ubuntu4
Package architecture amd64
Package type deb
Category libdevel
Homepage http://zlib.net/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 53.38 KB
Installed size 184.00 KB
zlib is a library implementing the deflate compression method found
in gzip and PKZIP.  This package includes the development support
files for building 32 bit applications.

Alternatives

Package Version Architecture Repository
lib32z1-dev_1.2.8.dfsg-2ubuntu4.1_amd64.deb 1.2.8.dfsg amd64 Ubuntu Updates Main
lib32z1-dev - - -

Requires

Name Value
lib32c-dev -
lib32z1 = 1:1.2.8.dfsg-2ubuntu4
zlib1g-dev = 1:1.2.8.dfsg-2ubuntu4

Provides

Name Value
lib32z-dev -

Conflicts

Name Value
libc6-i386 <= 2.9-18

Replaces

Name Value
ia32-libs-dev << 1.5

Download

Type URL
Mirror archive.ubuntu.com
Binary Package lib32z1-dev_1.2.8.dfsg-2ubuntu4_amd64.deb
Source Package zlib

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lib32z1-dev deb package:
    # sudo apt-get install lib32z1-dev

Files

Path
/usr/include/i386-linux-gnu/zconf.h
/usr/lib32/libz.a
/usr/lib32/libz.so
/usr/share/doc/lib32z1-dev/changelog.Debian.gz
/usr/share/doc/lib32z1-dev/copyright

Changelog

2015-09-13 - Matthias Klose <doko@ubuntu.com>
zlib (1:1.2.8.dfsg-2ubuntu4) wily; urgency=medium
* Call dh_makeshlibs for the 64bit multilib package.
2015-09-13 - Matthias Klose <doko@ubuntu.com>
zlib (1:1.2.8.dfsg-2ubuntu3) wily; urgency=medium
* Install zconf.h for multilib packages.
2014-10-27 - Michael Vogt <michael.vogt@ubuntu.com>
zlib (1:1.2.8.dfsg-2ubuntu1) vivid; urgency=low
* Merge from Debian unstable.  Remaining changes:
- Build x32 packages.  
2014-08-16 - Mark Brown <broonie@debian.org>
zlib (1:1.2.8.dfsg-2) unstable; urgency=low
* Drop zlib-bin package as minizip has now been packaged separately,
delay due to lack of notice regarding upload (closes: #753070).
2013-05-13 - Colin Watson <cjwatson@ubuntu.com>
zlib (1:1.2.8.dfsg-1ubuntu1) saucy; urgency=low
* Resynchronise with Debian.  Remaining changes:
- Build x32 packages.
2013-05-03 - Mark Brown <broonie@debian.org>
zlib (1:1.2.8.dfsg-1) unstable; urgency=low
* New upstream release.
* Policy 3.9.4.
* Tweak version for gzseek64 and gztell64 (closes: #687076).
* Install zconf.h in multiarch path (closes: #698648).
2013-02-07 - Wookey <wookey@wookware.org>
zlib (1:1.2.7.dfsg-13ubuntu2) raring; urgency=low
* Move zconf.h to multiarch location as it's not (quite) arch-independent
(LP: #1102602).
2012-11-14 - Matthias Klose <doko@ubuntu.com>
zlib (1:1.2.7.dfsg-13ubuntu1) raring; urgency=low
* Build x32 packages.
2012-06-22 - Mark Brown <broonie@debian.org>
zlib (1:1.2.7.dfsg-13) unstable; urgency=low
* Yet more s390x cleanup.  Thanks to the s390x porters for thei
prompt an efficient buildd monitoring (closes: #678511).
2012-06-20 - Mark Brown <broonie@debian.org>
zlib (1:1.2.7.dfsg-12) unstable; urgency=low
* Clean up breakage from binnmu since with multiarch binnmus of zlib
and other multiarch enabled library packages aren't actually
installable.  Hopefully the multiarch people will get round to
cleaning up the infrastructure at some point (closes: #678172).

See Also

Package Description
lib32z1_1.2.8.dfsg-2ubuntu4_amd64.deb compression library - 32 bit runtime
liba11y-profile-manager-0.1-0_0.1.10-0ubuntu3_amd64.deb Accessibility profile manager - Shared library
liba11y-profile-manager-0.1-dev_0.1.10-0ubuntu3_amd64.deb Development files for the accessibility profile manager library
liba11y-profile-manager-data_0.1.10-0ubuntu3_all.deb Accessibility Profile Manager - GSettings data
libaa1-dev_1.4p5-44build1_amd64.deb ASCII art library, development kit
libaa1_1.4p5-44build1_amd64.deb ASCII art library
libaal-dev_1.0.6-1_amd64.deb Reiser4's application abstraction library: Development files
libabw-0.1-1v5_0.1.1-2ubuntu2_amd64.deb library for reading and writing AbiWord(tm) documents
libabw-dev_0.1.1-2ubuntu2_amd64.deb library for reading and writing AbiWord(tm) documents -- development
libaccount-plugin-1.0-0_0.1.8+16.04.20160201-0ubuntu1_amd64.deb libaccount-plugin for Unity Control Center
libaccount-plugin-1.0-dev_0.1.8+16.04.20160201-0ubuntu1_amd64.deb libaccount-plugin for Unity Control Center - devel
libaccount-plugin-1.0-doc_0.1.8+16.04.20160201-0ubuntu1_all.deb libaccount-plugin for Unity Control Center - Developer Docs
libaccount-plugin-generic-oauth_0.12+16.04.20160126-0ubuntu1_amd64.deb GNOME Control Center account plugin for single signon - generic OAuth
libaccount-plugin-google_0.12+16.04.20160126-0ubuntu1_amd64.deb GNOME Control Center account plugin for single signon - Google Auth
libaccounts-glib-dev_1.21+16.04.20160222-0ubuntu1_amd64.deb library for single signon - development files
Advertisement
Advertisement